; Please, for further assistance, email
; me or look at the samples. This is
; for use ONLY if you run your assembly
; program from the Seklorean OS.



VertLine equ $C9FA
; e must be vertical position (y)
;ie:
; ld e,22
; jp VertLine

HorzLine equ $C9FA+22
; e must be horizontal position (x)
;ie:
; ld e,22
; jp HorzLine

Alpha equ $C9FA+42
; toggles alpha lock
;ie:
; call Alpha ; turn alpha lock on
; ; code here
; jp Alpha ; turn alpha lock off

InvText equ $C9FA+58
; toggles inverted text
;ie:
; call InvText ; turn inverted text on
; ; code here
; jp InvText ; turn inverted text off

InvertH equ $C9FA+74
; inverts home screen
;ie:
; jp InvertH

InvertG equ $C9FA+79
; inverts graph screen
;ie:
; jp InvertG

PowerOff equ $C9FA+95
; turns off power while maintaining contrast
;ie:
; jp PowerOff

DelAtoZ equ $C9FA+116
; Deletes all 1 letter variables
;ie:
; jp DelAtoZ

ContUp equ $C9FA+135
; Turns contrast up 1
;ie:
; jp ContUp

ContDown equ $C9FA+144
; Turns contrast down 1
;ie:
; jp ContDown

DispVLE equ $C9FA+156
; hl must point to compressed data
;ie:
; ld hl,GreyPlane1
; jp DispVLE

DispVLE2 equ $C9FA+159
; hl must point to compressed data
; de must point to RAM address
;ie:
; ld hl,GreyPlane2
; ld de,$F700
; jp DispVLE2

Spr8x8 equ $C9FA+247
; hl must point to sprite
; ix is where to copy/show it
; de = $0108
;ie:
; ld hl,Smiley
; ld ix,$FE44
; call Spr8x8 ; 1 bytes wide (8 pixels), 8 pixels tall

PutSpr equ $C9FA+250
; hl must point to sprite
; ix is where to copy/show it
; de = (byte width, pixel height)
;ie:
; ld hl,Smiley
; ld ix,$FE44
; ld de,$0305 ; 3 bytes wide (24 pixels), 5 pixels tall
; call PutSpr

Music equ $C9FA+277
; It's best to use WAV2DB.exe to get music data
; hl must point to sound data
;ie:
; ld hl,Song
; jp Music

Draw3D equ $C9FA+327
; hl must point to coordinate data
;ie:
; ld hl,House3D
; jp Draw3D

SmallText equ $C9FA+350
; hl must point to the text
; de are the coordinates
;ie:
; ld hl,Hello
; ld de,$0204
; call SmallText

BigText equ $C9FA+357
; hl must point to the text
; de are the coordinates
;ie:
; ld hl,Hello
; ld de,$0402
; call BigText